net.minecraft.init

## Class Blocks

- java.lang.Object
- - net.minecraft.init.Blocks

-     public class Blocks
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Block` | `acacia_stairs`
    `static Block` | `activator_rail`
    `static Block` | `air`
    `static Block` | `anvil`
    `static BlockBeacon` | `beacon`
    `static Block` | `bed`
    `static Block` | `bedrock`
    `static Block` | `birch_stairs`
    `static Block` | `bookshelf`
    `static Block` | `brewing_stand`
    `static Block` | `brick_block`
    `static Block` | `brick_stairs`
    `static BlockBush` | `brown_mushroom`
    `static Block` | `brown_mushroom_block`
    `static Block` | `cactus`
    `static Block` | `cake`
    `static Block` | `carpet`
    `static Block` | `carrots`
    `static BlockCauldron` | `cauldron`
    `static BlockChest` | `chest`
    `static Block` | `clay`
    `static Block` | `coal_block`
    `static Block` | `coal_ore`
    `static Block` | `cobblestone`
    `static Block` | `cobblestone_wall`
    `static Block` | `cocoa`
    `static Block` | `command_block`
    `static Block` | `crafting_table`
    `static Block` | `dark_oak_stairs`
    `static BlockDaylightDetector` | `daylight_detector`
    `static BlockDeadBush` | `deadbush`
    `static Block` | `detector_rail`
    `static Block` | `diamond_block`
    `static Block` | `diamond_ore`
    `static Block` | `dirt`
    `static Block` | `dispenser`
    `static BlockDoublePlant` | `double_plant`
    `static BlockSlab` | `double_stone_slab`
    `static BlockSlab` | `double_wooden_slab`
    `static Block` | `dragon_egg`
    `static Block` | `dropper`
    `static Block` | `emerald_block`
    `static Block` | `emerald_ore`
    `static Block` | `enchanting_table`
    `static Block` | `end_portal`
    `static Block` | `end_portal_frame`
    `static Block` | `end_stone`
    `static Block` | `ender_chest`
    `static Block` | `farmland`
    `static Block` | `fence`
    `static Block` | `fence_gate`
    `static BlockFire` | `fire`
    `static Block` | `flower_pot`
    `static BlockLiquid` | `flowing_lava`
    `static BlockLiquid` | `flowing_water`
    `static Block` | `furnace`
    `static Block` | `glass`
    `static Block` | `glass_pane`
    `static Block` | `glowstone`
    `static Block` | `gold_block`
    `static Block` | `gold_ore`
    `static Block` | `golden_rail`
    `static BlockGrass` | `grass`
    `static Block` | `gravel`
    `static Block` | `hardened_clay`
    `static Block` | `hay_block`
    `static Block` | `heavy_weighted_pressure_plate`
    `static BlockHopper` | `hopper`
    `static Block` | `ice`
    `static Block` | `iron_bars`
    `static Block` | `iron_block`
    `static Block` | `iron_door`
    `static Block` | `iron_ore`
    `static Block` | `jukebox`
    `static Block` | `jungle_stairs`
    `static Block` | `ladder`
    `static Block` | `lapis_block`
    `static Block` | `lapis_ore`
    `static Block` | `lava`
    `static BlockLeaves` | `leaves`
    `static BlockLeaves` | `leaves2`
    `static Block` | `lever`
    `static Block` | `light_weighted_pressure_plate`
    `static Block` | `lit_furnace`
    `static Block` | `lit_pumpkin`
    `static Block` | `lit_redstone_lamp`
    `static Block` | `lit_redstone_ore`
    `static Block` | `log`
    `static Block` | `log2`
    `static Block` | `melon_block`
    `static Block` | `melon_stem`
    `static Block` | `mob_spawner`
    `static Block` | `monster_egg`
    `static Block` | `mossy_cobblestone`
    `static BlockMycelium` | `mycelium`
    `static Block` | `nether_brick`
    `static Block` | `nether_brick_fence`
    `static Block` | `nether_brick_stairs`
    `static Block` | `nether_wart`
    `static Block` | `netherrack`
    `static Block` | `noteblock`
    `static Block` | `oak_stairs`
    `static Block` | `obsidian`
    `static Block` | `packed_ice`
    `static BlockPistonBase` | `piston`
    `static BlockPistonMoving` | `piston_extension`
    `static BlockPistonExtension` | `piston_head`
    `static Block` | `planks`
    `static BlockPortal` | `portal`
    `static Block` | `potatoes`
    `static BlockRedstoneComparator` | `powered_comparator`
    `static BlockRedstoneRepeater` | `powered_repeater`
    `static Block` | `pumpkin`
    `static Block` | `pumpkin_stem`
    `static Block` | `quartz_block`
    `static Block` | `quartz_ore`
    `static Block` | `quartz_stairs`
    `static Block` | `rail`
    `static BlockFlower` | `red_flower`
    `static BlockBush` | `red_mushroom`
    `static Block` | `red_mushroom_block`
    `static Block` | `redstone_block`
    `static Block` | `redstone_lamp`
    `static Block` | `redstone_ore`
    `static Block` | `redstone_torch`
    `static BlockRedstoneWire` | `redstone_wire`
    `static Block` | `reeds`
    `static Block` | `sand`
    `static Block` | `sandstone`
    `static Block` | `sandstone_stairs`
    `static Block` | `sapling`
    `static Block` | `skull`
    `static Block` | `snow`
    `static Block` | `snow_layer`
    `static Block` | `soul_sand`
    `static Block` | `sponge`
    `static Block` | `spruce_stairs`
    `static BlockStainedGlass` | `stained_glass`
    `static BlockStainedGlassPane` | `stained_glass_pane`
    `static Block` | `stained_hardened_clay`
    `static Block` | `standing_sign`
    `static BlockPistonBase` | `sticky_piston`
    `static Block` | `stone`
    `static Block` | `stone_brick_stairs`
    `static Block` | `stone_button`
    `static Block` | `stone_pressure_plate`
    `static BlockSlab` | `stone_slab`
    `static Block` | `stone_stairs`
    `static Block` | `stonebrick`
    `static BlockTallGrass` | `tallgrass`
    `static Block` | `tnt`
    `static Block` | `torch`
    `static Block` | `trapdoor`
    `static Block` | `trapped_chest`
    `static Block` | `tripwire`
    `static BlockTripWireHook` | `tripwire_hook`
    `static Block` | `unlit_redstone_torch`
    `static BlockRedstoneComparator` | `unpowered_comparator`
    `static BlockRedstoneRepeater` | `unpowered_repeater`
    `static Block` | `vine`
    `static Block` | `wall_sign`
    `static Block` | `water`
    `static Block` | `waterlily`
    `static Block` | `web`
    `static Block` | `wheat`
    `static Block` | `wooden_button`
    `static Block` | `wooden_door`
    `static Block` | `wooden_pressure_plate`
    `static BlockSlab` | `wooden_slab`
    `static Block` | `wool`
    `static BlockFlower` | `yellow_flower`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Blocks()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### air

          public static final Block air

    - #### stone

          public static final Block stone

    - #### grass

          public static final BlockGrass grass

    - #### dirt

          public static final Block dirt

    - #### cobblestone

          public static final Block cobblestone

    - #### planks

          public static final Block planks

    - #### sapling

          public static final Block sapling

    - #### bedrock

          public static final Block bedrock

    - #### flowing_water

          public static final BlockLiquid flowing_water

    - #### water

          public static final Block water

    - #### flowing_lava

          public static final BlockLiquid flowing_lava

    - #### lava

          public static final Block lava

    - #### sand

          public static final Block sand

    - #### gravel

          public static final Block gravel

    - #### gold_ore

          public static final Block gold_ore

    - #### iron_ore

          public static final Block iron_ore

    - #### coal_ore

          public static final Block coal_ore

    - #### log

          public static final Block log

    - #### log2

          public static final Block log2

    - #### leaves

          public static final BlockLeaves leaves

    - #### leaves2

          public static final BlockLeaves leaves2

    - #### sponge

          public static final Block sponge

    - #### glass

          public static final Block glass

    - #### lapis_ore

          public static final Block lapis_ore

    - #### lapis_block

          public static final Block lapis_block

    - #### dispenser

          public static final Block dispenser

    - #### sandstone

          public static final Block sandstone

    - #### noteblock

          public static final Block noteblock

    - #### bed

          public static final Block bed

    - #### golden_rail

          public static final Block golden_rail

    - #### detector_rail

          public static final Block detector_rail

    - #### sticky_piston

          public static final BlockPistonBase sticky_piston

    - #### web

          public static final Block web

    - #### tallgrass

          public static final BlockTallGrass tallgrass

    - #### deadbush

          public static final BlockDeadBush deadbush

    - #### piston

          public static final BlockPistonBase piston

    - #### piston_head

          public static final BlockPistonExtension piston_head

    - #### wool

          public static final Block wool

    - #### piston_extension

          public static final BlockPistonMoving piston_extension

    - #### yellow_flower

          public static final BlockFlower yellow_flower

    - #### red_flower

          public static final BlockFlower red_flower

    - #### brown_mushroom

          public static final BlockBush brown_mushroom

    - #### red_mushroom

          public static final BlockBush red_mushroom

    - #### gold_block

          public static final Block gold_block

    - #### iron_block

          public static final Block iron_block

    - #### double_stone_slab

          public static final BlockSlab double_stone_slab

    - #### stone_slab

          public static final BlockSlab stone_slab

    - #### brick_block

          public static final Block brick_block

    - #### tnt

          public static final Block tnt

    - #### bookshelf

          public static final Block bookshelf

    - #### mossy_cobblestone

          public static final Block mossy_cobblestone

    - #### obsidian

          public static final Block obsidian

    - #### torch

          public static final Block torch

    - #### fire

          public static final BlockFire fire

    - #### mob_spawner

          public static final Block mob_spawner

    - #### oak_stairs

          public static final Block oak_stairs

    - #### chest

          public static final BlockChest chest

    - #### redstone_wire

          public static final BlockRedstoneWire redstone_wire

    - #### diamond_ore

          public static final Block diamond_ore

    - #### diamond_block

          public static final Block diamond_block

    - #### crafting_table

          public static final Block crafting_table

    - #### wheat

          public static final Block wheat

    - #### farmland

          public static final Block farmland

    - #### furnace

          public static final Block furnace

    - #### lit_furnace

          public static final Block lit_furnace

    - #### standing_sign

          public static final Block standing_sign

    - #### wooden_door

          public static final Block wooden_door

    - #### ladder

          public static final Block ladder

    - #### rail

          public static final Block rail

    - #### stone_stairs

          public static final Block stone_stairs

    - #### wall_sign

          public static final Block wall_sign

    - #### lever

          public static final Block lever

    - #### stone_pressure_plate

          public static final Block stone_pressure_plate

    - #### iron_door

          public static final Block iron_door

    - #### wooden_pressure_plate

          public static final Block wooden_pressure_plate

    - #### redstone_ore

          public static final Block redstone_ore

    - #### lit_redstone_ore

          public static final Block lit_redstone_ore

    - #### unlit_redstone_torch

          public static final Block unlit_redstone_torch

    - #### redstone_torch

          public static final Block redstone_torch

    - #### stone_button

          public static final Block stone_button

    - #### snow_layer

          public static final Block snow_layer

    - #### ice

          public static final Block ice

    - #### snow

          public static final Block snow

    - #### cactus

          public static final Block cactus

    - #### clay

          public static final Block clay

    - #### reeds

          public static final Block reeds

    - #### jukebox

          public static final Block jukebox

    - #### fence

          public static final Block fence

    - #### pumpkin

          public static final Block pumpkin

    - #### netherrack

          public static final Block netherrack

    - #### soul_sand

          public static final Block soul_sand

    - #### glowstone

          public static final Block glowstone

    - #### portal

          public static final BlockPortal portal

    - #### lit_pumpkin

          public static final Block lit_pumpkin

    - #### cake

          public static final Block cake

    - #### unpowered_repeater

          public static final BlockRedstoneRepeater unpowered_repeater

    - #### powered_repeater

          public static final BlockRedstoneRepeater powered_repeater

    - #### trapdoor

          public static final Block trapdoor

    - #### monster_egg

          public static final Block monster_egg

    - #### stonebrick

          public static final Block stonebrick

    - #### brown_mushroom_block

          public static final Block brown_mushroom_block

    - #### red_mushroom_block

          public static final Block red_mushroom_block

    - #### iron_bars

          public static final Block iron_bars

    - #### glass_pane

          public static final Block glass_pane

    - #### melon_block

          public static final Block melon_block

    - #### pumpkin_stem

          public static final Block pumpkin_stem

    - #### melon_stem

          public static final Block melon_stem

    - #### vine

          public static final Block vine

    - #### fence_gate

          public static final Block fence_gate

    - #### brick_stairs

          public static final Block brick_stairs

    - #### stone_brick_stairs

          public static final Block stone_brick_stairs

    - #### mycelium

          public static final BlockMycelium mycelium

    - #### waterlily

          public static final Block waterlily

    - #### nether_brick

          public static final Block nether_brick

    - #### nether_brick_fence

          public static final Block nether_brick_fence

    - #### nether_brick_stairs

          public static final Block nether_brick_stairs

    - #### nether_wart

          public static final Block nether_wart

    - #### enchanting_table

          public static final Block enchanting_table

    - #### brewing_stand

          public static final Block brewing_stand

    - #### cauldron

          public static final BlockCauldron cauldron

    - #### end_portal

          public static final Block end_portal

    - #### end_portal_frame

          public static final Block end_portal_frame

    - #### end_stone

          public static final Block end_stone

    - #### dragon_egg

          public static final Block dragon_egg

    - #### redstone_lamp

          public static final Block redstone_lamp

    - #### lit_redstone_lamp

          public static final Block lit_redstone_lamp

    - #### double_wooden_slab

          public static final BlockSlab double_wooden_slab

    - #### wooden_slab

          public static final BlockSlab wooden_slab

    - #### cocoa

          public static final Block cocoa

    - #### sandstone_stairs

          public static final Block sandstone_stairs

    - #### emerald_ore

          public static final Block emerald_ore

    - #### ender_chest

          public static final Block ender_chest

    - #### tripwire_hook

          public static final BlockTripWireHook tripwire_hook

    - #### tripwire

          public static final Block tripwire

    - #### emerald_block

          public static final Block emerald_block

    - #### spruce_stairs

          public static final Block spruce_stairs

    - #### birch_stairs

          public static final Block birch_stairs

    - #### jungle_stairs

          public static final Block jungle_stairs

    - #### command_block

          public static final Block command_block

    - #### beacon

          public static final BlockBeacon beacon

    - #### cobblestone_wall

          public static final Block cobblestone_wall

    - #### flower_pot

          public static final Block flower_pot

    - #### carrots

          public static final Block carrots

    - #### potatoes

          public static final Block potatoes

    - #### wooden_button

          public static final Block wooden_button

    - #### skull

          public static final Block skull

    - #### anvil

          public static final Block anvil

    - #### trapped_chest

          public static final Block trapped_chest

    - #### light_weighted_pressure_plate

          public static final Block light_weighted_pressure_plate

    - #### heavy_weighted_pressure_plate

          public static final Block heavy_weighted_pressure_plate

    - #### unpowered_comparator

          public static final BlockRedstoneComparator unpowered_comparator

    - #### powered_comparator

          public static final BlockRedstoneComparator powered_comparator

    - #### daylight_detector

          public static final BlockDaylightDetector daylight_detector

    - #### redstone_block

          public static final Block redstone_block

    - #### quartz_ore

          public static final Block quartz_ore

    - #### hopper

          public static final BlockHopper hopper

    - #### quartz_block

          public static final Block quartz_block

    - #### quartz_stairs

          public static final Block quartz_stairs

    - #### activator_rail

          public static final Block activator_rail

    - #### dropper

          public static final Block dropper

    - #### stained_hardened_clay

          public static final Block stained_hardened_clay

    - #### hay_block

          public static final Block hay_block

    - #### carpet

          public static final Block carpet

    - #### hardened_clay

          public static final Block hardened_clay

    - #### coal_block

          public static final Block coal_block

    - #### packed_ice

          public static final Block packed_ice

    - #### acacia_stairs

          public static final Block acacia_stairs

    - #### dark_oak_stairs

          public static final Block dark_oak_stairs

    - #### double_plant

          public static final BlockDoublePlant double_plant

    - #### stained_glass

          public static final BlockStainedGlass stained_glass

    - #### stained_glass_pane

          public static final BlockStainedGlassPane stained_glass_pane

  - ### Constructor Detail

    - #### Blocks

          public Blocks()